# TdApi.DeviceTokenWebPush (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: DeviceTokenWebPush

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeviceTokenWebPush

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.DeviceToken
it.tdlight.jni.TdApi.DeviceTokenWebPush

Enclosing class:
  TdApi

public static final class TdApi.DeviceTokenWebPush extends TdApi.DeviceToken
A token for web Push API.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`authBase64url`
Base64url-encoded authentication secret.
`static final int`
`CONSTRUCTOR`
`String`
`endpoint`
Absolute URL exposed by the push service where the application server can send push messages; may be empty to deregister a device.
`String`
`p256dhBase64url`
Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.

## Constructor Summary

Constructors
Constructor
Description
`DeviceTokenWebPush()`
A token for web Push API.
`DeviceTokenWebPush(DataInput input)`
A token for web Push API.
`DeviceTokenWebPush(String endpoint, String p256dhBase64url, String authBase64url)`
A token for web Push API.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### endpoint

public String endpoint
Absolute URL exposed by the push service where the application server can send push messages; may be empty to deregister a device.

### p256dhBase64url

public String p256dhBase64url
Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.

### authBase64url

public String authBase64url
Base64url-encoded authentication secret.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### DeviceTokenWebPush

public DeviceTokenWebPush()
A token for web Push API.

### DeviceTokenWebPush

public DeviceTokenWebPush(String endpoint, String p256dhBase64url, String authBase64url)
A token for web Push API.

Parameters:
  `endpoint` - String Absolute URL exposed by the push service where the application server can send push messages; may be empty to deregister a device.
  `p256dhBase64url` - String Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.
  `authBase64url` - String Base64url-encoded authentication secret.

### DeviceTokenWebPush

public DeviceTokenWebPush(DataInput input) throws IOException
A token for web Push API.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`